# ACFBukkitScheduler (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFBukkitScheduler

Package co.aikar.commands

# Class ACFBukkitScheduler

java.lang.Object
co.aikar.commands.ACFBukkitScheduler

Direct Known Subclasses:
  `ACFFoliaScheduler`

public class ACFBukkitScheduler extends Object

## Constructor Summary

Constructors
Constructor
Description
`ACFBukkitScheduler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancelLocaleTask()`
`void`
`createDelayedTask(org.bukkit.plugin.Plugin plugin, Runnable task, long delay)`
`void`
`createLocaleTask(org.bukkit.plugin.Plugin plugin, Runnable task, long delay, long period)`
`void`
`registerSchedulerDependencies(BukkitCommandManager manager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACFBukkitScheduler

public ACFBukkitScheduler()

## Method Details

### registerSchedulerDependencies

public void registerSchedulerDependencies (BukkitCommandManager manager)

### createDelayedTask

public void createDelayedTask (org.bukkit.plugin.Plugin plugin, Runnable task, long delay)

### createLocaleTask

public void createLocaleTask (org.bukkit.plugin.Plugin plugin, Runnable task, long delay, long period)

### cancelLocaleTask

public void cancelLocaleTask()